Subject: Re: [OPSEC] Requesting publication of draft-ietf-opsec-ipv6-implications-on-ipv4-nets

From: joel jaeggli <[email-masked]>
Date: Thu, 21 Mar 2013 22:03:38 -0700

I reviewed this document in wglc, and I think it's acceptable. that 
constitutes the AD review.

will kick towards the IESG.

thanks
joel

On 3/20/13 1:00 PM, Warren Kumari wrote:
> Hi there,
>
> We are requesting publication of draft-ietf-opsec-ipv6-implications-on-ipv4-nets. I will be the document shepherd.
> I am trying to use the "new" datatracker stuff to manage workflow, but am not sure if changing the state there actually informs you, so I'm doing so via email as well…
>
> W
>
>
>
>
> Below is the shepherd writeup:
>
> (1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?
>
> Informational -- this document is for the general information of the Internet community and does not have protocol or requirements.
>
> (2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:
>
> Technical Summary:
>
> This document discusses the security implications (and provides possible mitigations) of native IPv6 support and IPv6 transition/co-existence technologies on "IPv4-only" networks.
> It details a number of operational security concerns, and provides mitigations for many of them. In many cases operators of IPv4 only networks have not considered the security implications of an attacker (or an automatic tunneling mechanism) enabling IPv6 on their network / hosts.
>
> Working Group Summary:
>
> There was no drama in the WG on this topic.
>
> Document Quality:
> This document does not describe any protocol/ specifications, and so there are no existing implementations / things to implement.
> The document is of good quality. It is easily read and clear.
>
> Personnel:
>
> Warren Kumari is the Document Shepherd. Joel Jaeggli is RAD.
>
>
> (3) Briefly describe the review of this document that was performed by the Document Shepherd.
> The Document Shepherd has had a number of discussions with the authors on this topic, and has followed the progression of the draft through revisions and the WG.
> The Document Shepherd also sat in the bath with a highlighter and carefully reviewed the document. A number of grammar suggestions / nits were provided to the authors.
>
>
> (4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
> A WGLC was initiated, and then extended to get additional review. The Shepherd believes that there is now sufficient review, both in terms of volume, and expertise.
>
>
> (5) Do portions of the document need review from a particular or from broader perspective?
> Nope.
>
>
> (6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of?
> None.
>
>
> (7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed.
> Yes.
>
>
> (8) Has an IPR disclosure been filed that references this document?
> No IPR disclosures have been filed (phew!)
>
>
> (9) How solid is the WG consensus behind this document?
> The most involved / active WG participants did respond and their comments were supportive. The rest of the WG was silent (we are working on this!)
>
>
> (10) Has anyone threatened an appeal or otherwise indicated extreme discontent?
> Not at all.
>
> (11) Identify any ID nits the Document Shepherd has found in this document.
> The nits tool made grumpy-face about non-RFC2606-compliant FQDNs and non-RFC5735-compliant IPv4 addresses.
> These were checked -- the document refers to specific addresses (such as 192.88.99.0/24) and FQDNs that should not be replaces with RFC 2606 / RFC 5735 examples.
>
> (12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.
> N/A.
>
>
> (13) Have all references within this document been identified as either normative or informative?
> Yes.
>
>
> (14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state?
> No - all normative references are to RFCs.
>
>
> (15) Are there downward normative references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
> None.
>
> (16) Will publication of this document change the status of any existing RFCs?
> Nope / N/A.
>
> (17) Describe the Document Shepherd's review of the IANA considerations section.
> No IANA action requested or required. This matches the text of the document.
>
>
> (18) List any new IANA registries that require Expert Review for future allocations.
> None.
>
> (19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc.
> N/A.
>